import { setQueryFormItmes } from '../js/formConfig';

/**模板
 * <p-grid-form ref="queryForm" layout="inline" :items="mx_queryFromItems" @submit="mx_querySubmit"/>
 */
export default {
  data() {
    return {
      mx_queryFromItems: setQueryFormItmes(this)
    };
  },
  methods: {
    mx_querySubmit(e) {
      e.preventDefault();
      this.$refs.table.reload({ params: this.$refs.queryForm.form.getFieldsValue() });
    }
  }
};
